
Infrastructure - Story #7412

Move hazelcast processing cluster to CN Rest Service

2015-10-06 19:48 - Robert Waltz

Status: Closed Start date: 2015-10-06

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

d1_processing originally used hazelcast for distributed task execution, distributed locking, distributed queueing and distributed maps.

Due to increased responsibilities of the CN Rest Service in V2, circular dependencies arose between applications running in Tomcat

and the d1_processing daemon instance.

It was decided to migrate the hazelcast processing cluster to Cn Rest Service and make d1-processing a client to the cluster.

Subtasks:

Task # 7413: Alter Synchronization to run as a client to the CN Rest Service Hazelcast ... Closed

Task # 7414: Alter LogAggregation to run as a client to the CN Rest Service Hazelcast c... Closed

Task # 7415: Add Hazelcast Instance configuration to Cn Rest Service Closed

Task # 7416: Alter replication and replication auditor to run as a client to the CN Res... Closed

Associated revisions

Revision 16612 - 2015-10-08 20:08 - Robert Waltz

refs #7412

adding in hz properties file for cn to read

Revision 16612 - 2015-10-08 20:08 - Robert Waltz

refs #7412

adding in hz properties file for cn to read

Revision 16613 - 2015-10-08 20:13 - Robert Waltz

refs #7412

adding in hz properties file for cn to read

Revision 16613 - 2015-10-08 20:13 - Robert Waltz

refs #7412

adding in hz properties file for cn to read

Revision 16645 - 2015-10-10 20:30 - Robert Waltz

refs #7412

forgot to initialize the NodeTopicListener class
Revision 16645 - 2015-10-10 20:30 - Robert Waltz

refs #7412

forgot to initialize the NodeTopicListener class

Revision 16659 - 2015-10-14 01:35 - Robert Waltz

refs #7412

forgot to remove the hazelcast.xml file from processing. Do not want anyone to get confused going forward.

Revision 16659 - 2015-10-14 01:35 - Robert Waltz

refs #7412

forgot to remove the hazelcast.xml file from processing. Do not want anyone to get confused going forward.

History

#1 - 2015-10-10 00:13 - Robert Waltz

- Status changed from New to Closed

- % Done changed from 0 to 100

#2 - 2015-10-10 00:13 - Robert Waltz

- Status changed from Closed to In Progress

- % Done changed from 100 to 30

#3 - 2015-10-15 19:43 - Robert Waltz

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
